Assign a spend control to a cardholder
Attach or replace the spend control assigned to a cardholder.
Required permissions: cardholder:update.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
cardholder_id
Query parameters
reveal_sensitive
Whether to include unmasked sensitive fields in the response. Defaults to false.
Request
This endpoint expects an object.
spend_control_id
The ID of the spend control to assign to the cardholder.
Response
The updated cardholder.
IndividualCardholder
An individual cardholder, as shown to clients through the client-facing API.
OR
CorporateCardholder
A corporate cardholder, as shown to clients through the client-facing API.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error